VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties
VisimBox.Physics.ContactResolver Class Reference

Contact resolver. More...

List of all members.

## Public Member Functions
| ContactResolver (int iterations, float velEps=0.001f, float posEps=0.001f)
| Creates new contact resolver.
void | ResolveContacts (List< PhysicalContact > contacts, int total, float time)
| Resolves list of contacts from first to total.
void | ResolveVelocities (List< PhysicalContact > contacts, int total, float time)
| iteratively resolves velocities of contacts
void | ResolvePositions (List< PhysicalContact > contacts, int total, float time)
| Resolves positions of contacts.
## Public Attributes
float | VelocityEpsilon
| Velocity epsilon (smallest value)
float | PositionEpsilon
| Position epsilon (smallest value)
int | VelocityIterations
int | PositionInterations
int | UsedVelIterations
int | UsedPosIterations
## Properties
float | Epsilon`[set]`
| Quick set of both epsilons to value.
int | Iterations`[get, set]`
| Number of iterations used.

## Detailed Description

Contact resolver.

## Constructor & Destructor Documentation

VisimBox.Physics.ContactResolver.ContactResolver | ( | int | iterations,
|  | float | velEps = `0.001f`,
|  | float | posEps = `0.001f`
| ) |  |

Creates new contact resolver.

Parameters:

  iterations | Iterations limit
  velEps | Epsilon for velocities
  posEps | Epsilon for positions

## Member Function Documentation

void VisimBox.Physics.ContactResolver.ResolveContacts | ( | List< PhysicalContact > | contacts,
|  | int | total,
|  | float | time
| ) |  |

Resolves list of contacts from first to total.

Parameters:

  contacts | List of contacts
  total | Total number of valid contacts stored from the start
  time | elapsed time

void VisimBox.Physics.ContactResolver.ResolvePositions | ( | List< PhysicalContact > | contacts,
|  | int | total,
|  | float | time
| ) |  |

Resolves positions of contacts.

Parameters:

  contacts | List of contacts
  total | Total number of valid contacts stored from the start
  time | elapsed time

void VisimBox.Physics.ContactResolver.ResolveVelocities | ( | List< PhysicalContact > | contacts,
|  | int | total,
|  | float | time
| ) |  |

iteratively resolves velocities of contacts

Parameters:

  contacts | List of contacts
  total | Total number of valid contacts stored from the start
  time | elapsed time

## Member Data Documentation

float VisimBox.Physics.ContactResolver.PositionEpsilon

Position epsilon (smallest value)

int VisimBox.Physics.ContactResolver.PositionInterations

int VisimBox.Physics.ContactResolver.UsedPosIterations

int VisimBox.Physics.ContactResolver.UsedVelIterations

float VisimBox.Physics.ContactResolver.VelocityEpsilon

Velocity epsilon (smallest value)

int VisimBox.Physics.ContactResolver.VelocityIterations

## Property Documentation

float VisimBox.Physics.ContactResolver.Epsilon`[set]`

Quick set of both epsilons to value.

int VisimBox.Physics.ContactResolver.Iterations`[get, set]`

Number of iterations used.

The documentation for this class was generated from the following file:

- ContactResolver.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events